/* Emma Gifford
	CPSC 1011-002
	Lab 10A
	11-01-22
	header file to add structs and prototypes to main
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

typedef struct {
		char type[3];
		int width, height, maxColor;
} header;

typedef struct {
		unsigned int r, g, b;
} pixel;

//prototypes
header getHeader();
void writeHeader(header pictureHeader);
void fillImageArray(pixel irelandFlag[], int flagWidth,int flagHeight);
void writePixels(pixel irelandFlag[], int flagWidth, int flagHeight);

